Package com.logicaldoc.core.store

# Class StoreResource.Builder

java.lang.Object
com.logicaldoc.core.store.StoreResource.Builder

Enclosing class:
  `StoreResource`

public static class StoreResource.Builder extends Object
A builder for `StoreResource`s

Since:
  9.2.2
Author:
  Marco Meschieri - LogicalDOC

## Method Summary

Modifier and Type
Method
Description
`StoreResource`
`build()`
`StoreResource.Builder`
`docId(long docId)`
`StoreResource.Builder`
`document(AbstractDocument document)`
Takes the docId and fileVersion from the given `DocumentFormatException` or `Version`
`StoreResource.Builder`
`fileVersion(String fileVersion)`
`StoreResource.Builder`
`name(String name)`
`StoreResource.Builder`
`newEntry(boolean newEntry)`
`StoreResource.Builder`
`resource(StoreResource res)`
`StoreResource.Builder`
`suffix(String suffix)`
`StoreResource.Builder`
`suffixMobile()`
Assigns the suffix of the mobile thumbnail
`StoreResource.Builder`
`suffixPdfConversion()`
Assigns the suffix of the PDF conversion
`StoreResource.Builder`
`suffixThumbnail()`
Assigns the suffix of the thumbnail image
`StoreResource.Builder`
`suffixTile()`
Assigns the suffix of the tile image

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### fileVersion

public StoreResource.Builder fileVersion(String fileVersion)

### suffix

public StoreResource.Builder suffix(String suffix)

### suffixPdfConversion

public StoreResource.Builder suffixPdfConversion()
Assigns the suffix of the PDF conversion

Returns:
  The configured builder

### suffixTile

public StoreResource.Builder suffixTile()
Assigns the suffix of the tile image

Returns:
  The configured builder

### suffixThumbnail

public StoreResource.Builder suffixThumbnail()
Assigns the suffix of the thumbnail image

Returns:
  The configured builder

### suffixMobile

public StoreResource.Builder suffixMobile()
Assigns the suffix of the mobile thumbnail

Returns:
  The configured builder

### docId

public StoreResource.Builder docId(long docId)

### newEntry

public StoreResource.Builder newEntry(boolean newEntry)

### resource

public StoreResource.Builder resource(StoreResource res)

### name

public StoreResource.Builder name(String name)

### document

public StoreResource.Builder document(AbstractDocument document) throws PersistenceException
Takes the docId and fileVersion from the given `DocumentFormatException` or `Version`

Parameters:
  `document` - The document or version
Returns:
  The configured builder
Throws:
  `PersistenceException` - Error in the data layer

### build

public StoreResource build()